KDE 4.9 PyKDE API Reference

- KDE's Python API

# PositionProviderPluginInterface Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.PluginInterface
Namespace: Marble

## Detailed Description

The interface for position provider plugins.

## Methods
Marble.GeoDataAccuracy | accuracy (self)
float | direction (self)
QString | error (self)
| initialize (self)
bool | isInitialized (self)
Marble.GeoDataCoordinates | position (self)
float | speed (self)
Marble.PositionProviderStatus | status (self)
QDateTime | timestamp (self)

## Method Documentation

Marble.GeoDataAccuracy accuracy | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

float direction | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Returns the direction in which the gps device is moving. The direction is an angle (in degrees) clockwise from geographical north

QString error | ( |  | self ) |

Returns an error string to be presented to the user if the status is PositionProviderStatusError. For other states, the result value is undefined.

initialize | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

bool isInitialized | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Marble.GeoDataCoordinates position | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

float speed | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Returns the speed of the gps device in meters per second

Marble.PositionProviderStatus status | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

QDateTime timestamp | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.